## libxtc-rats-java 1.15.0

=== Makefile ===
# Makefile
#***************************************************************************
#
# Master Makefile
#
# (C) 1999 Jacob Dreyer - Geotechnical Software Services
# jacob.dreyer@geosoft.no - http://geosoft.no
#
# Modifications Copyright (C) 2001-2007 Robert Grimm
# rgrimm@alum.mit.edu
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#***************************************************************************

ifdef JAVA_DEV_ROOT
include $(JAVA_DEV_ROOT)/Makebase
endif

#***************************************************************************
#
# Packages
#
# Use fully qualified package names for the list of packages.
#
#***************************************************************************

PACKAGES = \
	xtc \
	xtc.util \
	xtc.tree \
	xtc.type \
	xtc.parser \
	xtc.typical \
	xtc.lang.javacc.syntaxtree \
	xtc.lang.javacc.visitor \
	xtc.lang.javacc \
	xtc.lang.antlr \
	xtc.lang.c \
	xtc.lang \
	xtc.lang.jeannie \
	xtc.lang.blink \
	xtc.lang.blink.agent \
	xtc.xform \
	xtc.lang.overlog \
	xtc.lang.c4

#***************************************************************************
#
# Javadoc
#
# These variables define some of the layout of the javadoc HTML
# output. See javadoc manual for details.
#
#***************************************************************************

WINDOWTITLE     = 'xtc - the eXTensible Compiler'
DOCTITLE        = 'Java Class Documentation for xtc'
BOTTOM          = '<center>(C) Copyright 2004-2007 Robert Grimm, New York University, IBM, and Princeton</center>'
JAVADOC         = javadoc
SUN_JAVADOCS    = http://java.sun.com/j2se/1.5.0/docs/api

JAVADOC_OPTIONS = \
	-J-Xmx1024m \
	-source 1.5 \
	-protected \
	-d $(DOC_DIR) \
	-sourcepath $(SOURCE_DIR) \
	-use \
	-version \
	-splitIndex \
	-windowtitle $(WINDOWTITLE) \
	-doctitle $(DOCTITLE) \
	-bottom $(BOTTOM) \
	-overview overview.html \
	-linkoffline $(SUN_JAVADOCS) $(THE_ROOT)

#***************************************************************************
#
# Rules and dependencies.
#
# The following commands are valid:
#
#  1. make configure       - Configure local system's xtc.Limits
#  2. make classes         - Make all class files for all packages
#  3. make                 - Same as (2)
#  4. make parsers         - Make all parsers
#  5. make analyzers       - Make all Typical-based semantic analyzers
#  6. make doc             - Make all documentation
#  7. make jars            - Make binary distribution
#  8. make dist            - Make source distribution
#  9. make stats           - Print source code statistics
# 10. make check           - Run all regression tests
# 11. make clean           - Clean classes
# 12. make clobber         - Clean classes, documentation, distributions
# 13. make clobber-parsers - Clean parser sources
#
#
# For the CLASS, JNI, JAR, and CLEAN variables, all backslashes are
# replaced by forward slashes. This substitution is only important
# when using this makefile on Windows. When building in an MS-DOS
# shell, make treats both backslash and forward slash as a path
# segment delimiter. However, Unix shells, such as bash, require
# forward slashes. File names passed to the Java tools may have a mix
# of backslash and forward slash, because they treat both as a path
# segment delimiter.
#
#***************************************************************************

PACK_PATHS  = $(subst .,/,$(PACKAGES))
CLASS       = $(subst \,/,$(PACK_PATHS:%=$(SOURCE_DIR)/%.class))
PARSER      = $(subst \,/,$(PACK_PATHS:%=$(SOURCE_DIR)/%.parser))
ANALYZER    = $(subst \,/,$(PACK_PATHS:%=$(SOURCE_DIR)/%.analyzer))
FACTORY     = $(subst \,/,$(PACK_PATHS:%=$(SOURCE_DIR)/%.factory))
CLEAN       = $(subst \,/,$(PACK_PATHS:%=$(SOURCE_DIR)/%.clean))

.PHONY  : default classes parsers factories
.PHONY  : configure clean clobber clobber-parsers
.PHONY  : all doc jars dist stats

default : classes

classes : $(CLASS)
%.class :
	$(MAKE) -C $* classes

parsers  : $(PARSER)
%.parser :
	$(MAKE) -C $* parsers

analyzers  : $(ANALYZER)
%.analyzer :
	$(MAKE) -C $* analyzers

factories : $(FACTORY)
%.factory :
	$(MAKE) -C $* factories

configure :
	$(MAKE) -C $(SOURCE_DIR)/xtc configure

clean   : $(CLEAN)
%.clean :
	$(MAKE) -C $* clean

clobber :
ifdef JAVA_DEV_ROOT
	$(RM) $(SOURCE_DIR)/xtc/limitgen
	$(RMDIR) $(CLASS_DIR)/xtc
	$(RMDIR) $(CLASS_DIR)/edu
	$(RM) $(DOC_DIR)/allclasses-frame.html
	$(RM) $(DOC_DIR)/allclasses-noframe.html
	$(RM) $(DOC_DIR)/constant-values.html
	$(RM) $(DOC_DIR)/deprecated-list.html
	$(RM) $(DOC_DIR)/help-doc.html
	$(RM) $(DOC_DIR)/index.html
	$(RM) $(DOC_DIR)/overview-frame.html
	$(RM) $(DOC_DIR)/overview-summary.html
	$(RM) $(DOC_DIR)/overview-tree.html
	$(RM) $(DOC_DIR)/packages.html
	$(RM) $(DOC_DIR)/package-list
	$(RM) $(DOC_DIR)/serialized-form.html
	$(RM) $(DOC_DIR)/stylesheet.css
	$(RMDIR) $(DOC_DIR)/index-files
	$(RMDIR) $(DOC_DIR)/xtc
	$(RMDIR) $(DOC_DIR)/edu
	$(RM) $(BIN_DIR)/xtc.jar
	$(RM) $(BIN_DIR)/rats.jar
	$(RM) $(BIN_DIR)/rats-runtime.jar
	$(RM) $(GLR_DIR)/Java14.dep
	$(RM) $(GLR_DIR)/Java14.tbl
	$(RM) $(GLR_DIR)/Java15.dep
	$(RM) $(GLR_DIR)/Java15.tbl
	$(RM) xtc-core.zip xtc-testsuite.zip
	$(RM) rats.log rats.sum
	$(RM) xtc.log xtc.sum
	$(RM) typical.log typical.sum
	$(RM) overlog.log overlog.sum
	$(MAKE) -C $(SOURCE_DIR)/xtc/lang/c/ml cleanall
	$(MAKE) -C $(SOURCE_DIR)/xtc/lang/jeannie/doc cleanall
	$(MAKE) -C $(SOURCE_DIR)/xtc/lang/blink/doc cleanall
	$(RM) $(FONDA_DIR)/xtc_testsuite/layout/headergen
	$(RM) $(FONDA_DIR)/xtc_testsuite/layout/metadata.h
	$(RM) $(FONDA_DIR)/xtc_testsuite/layout/test.E
	$(RMDIR) $(FONDA_DIR)/jeannie_testsuite/tmp
	$(FIND) $(FONDA_DIR) -name '*.tmp' -exec $(RM) \{\} \;
	$(FIND) $(FONDA_DIR) -name '*.E'   -exec $(RM) \{\} \;
endif

clobber-parsers :
ifdef JAVA_DEV_ROOT
	$(RM) $(SOURCE_DIR)/xtc/parser/PParser.java
	$(RM) $(SOURCE_DIR)/xtc/lang/CParser.java
	$(RM) $(SOURCE_DIR)/xtc/lang/CReader.java
	$(RM) $(SOURCE_DIR)/xtc/lang/CFactoryParser.java
	$(RM) $(SOURCE_DIR)/xtc/lang/JavaRecognizer.java
	$(RM) $(SOURCE_DIR)/xtc/lang/JavaParser.java
	$(RM) $(SOURCE_DIR)/xtc/lang/JavaReader.java
	$(RM) $(SOURCE_DIR)/xtc/lang/JavaFiveParser.java
	$(RM) $(SOURCE_DIR)/xtc/lang/JavaFiveReader.java
	$(RM) $(SOURCE_DIR)/xtc/lang/JavaFactoryParser.java
	$(RM) $(SOURCE_DIR)/xtc/lang/TypedLambdaParser.java
	$(RM) $(SOURCE_DIR)/xtc/lang/c4/C4Parser.java
	$(RM) $(SOURCE_DIR)/xtc/lang/c4/C4Reader.java
	$(RM) $(SOURCE_DIR)/xtc/lang/jeannie/JeannieParser.java
	$(RM) $(SOURCE_DIR)/xtc/lang/jeannie/PreJeannieParser.java
	$(RM) $(SOURCE_DIR)/xtc/lang/blink/CommandParser.java
	$(RM) $(SOURCE_DIR)/xtc/lang/overlog/Parser.java
	$(RM) $(SOURCE_DIR)/xtc/lang/cpp/CPPParser.java
	$(RM) $(SOURCE_DIR)/xtc/typical/TypicalParser.java
	$(RM) $(SOURCE_DIR)/xtc/xform/XFormParser.java
endif

jars    : classes
ifdef JAVA_DEV_ROOT
	$(RMDIR) $(JAR_TMP)
	$(CPDIR) $(CLASS_DIR) $(JAR_TMP)
	$(RMDIR) $(JAR_TMP)/CVS
	$(RM)    $(JAR_TMP)/.cvsignore
	$(RM)    $(JAR_TMP)/.anchor
	$(JAR) cmf xtc.manifest $(BIN_DIR)/xtc.jar -C $(JAR_TMP) xtc
	$(RMDIR) $(JAR_TMP)
	$(MKDIR) $(JAR_TMP)
	$(MKDIR) $(JAR_TMP)/xtc
	$(MKDIR) $(JAR_TMP)/xtc/util
	$(MKDIR) $(JAR_TMP)/xtc/tree
	$(MKDIR) $(JAR_TMP)/xtc/type
	$(MKDIR) $(JAR_TMP)/xtc/parser
	$(CP) $(CLASS_DIR)/xtc/*.class $(JAR_TMP)/xtc
	$(CP) $(CLASS_DIR)/xtc/util/*.class $(JAR_TMP)/xtc/util
	$(CP) $(CLASS_DIR)/xtc/tree/*.class $(JAR_TMP)/xtc/tree
	$(CP) $(CLASS_DIR)/xtc/type/*.class $(JAR_TMP)/xtc/type
	$(CP) $(CLASS_DIR)/xtc/parser/*.class $(JAR_TMP)/xtc/parser
	$(JAR) cmf rats.manifest $(BIN_DIR)/rats.jar -C $(JAR_TMP) xtc
	$(RMDIR) $(JAR_TMP)
	$(MKDIR) $(JAR_TMP)
	$(MKDIR) $(JAR_TMP)/xtc
	$(MKDIR) $(JAR_TMP)/xtc/util
	$(MKDIR) $(JAR_TMP)/xtc/tree
	$(MKDIR) $(JAR_TMP)/xtc/parser
	$(CP) $(CLASS_DIR)/xtc/util/Pair*.class \
              $(CLASS_DIR)/xtc/util/Action.class \
              $(CLASS_DIR)/xtc/util/State.class \
              $(CLASS_DIR)/xtc/util/Utilities.class \
              $(JAR_TMP)/xtc/util
	$(CP) $(CLASS_DIR)/xtc/tree/Location.class \
              $(CLASS_DIR)/xtc/tree/Locatable.class \
              $(CLASS_DIR)/xtc/tree/Node*.class \
              $(CLASS_DIR)/xtc/tree/Token.class \
              $(CLASS_DIR)/xtc/tree/Annotation.class \
              $(CLASS_DIR)/xtc/tree/Formatting*.class \
              $(CLASS_DIR)/xtc/tree/GNode*.class \
              $(JAR_TMP)/xtc/tree
	$(CP) $(CLASS_DIR)/xtc/parser/ParserBase.class \
	      $(CLASS_DIR)/xtc/parser/Column.class \
	      $(CLASS_DIR)/xtc/parser/Result.class \
	      $(CLASS_DIR)/xtc/parser/SemanticValue.class \
	      $(CLASS_DIR)/xtc/parser/ParseError.class \
              $(CLASS_DIR)/xtc/parser/ParseException.class \
              $(JAR_TMP)/xtc/parser
	$(JAR) cf $(BIN_DIR)/rats-runtime.jar -C $(JAR_TMP) xtc
	$(RMDIR) $(JAR_TMP)
endif

dist    :
ifdef JAVA_DEV_ROOT
	$(RMDIR) $(DIST_TMP)
	$(MKDIR) $(DIST_TMP)
	$(MKDIR) $(DIST_TMP)/classes
	$(CP)    $(CLASS_DIR)/.anchor $(DIST_TMP)/classes
	$(MKDIR) $(DIST_TMP)/doc
	$(CP)    $(DOC_DIR)/.anchor   $(DIST_TMP)/doc
	$(MKDIR) $(DIST_TMP)/bin
	$(CP)    $(BIN_DIR)/.anchor   $(DIST_TMP)/bin
	$(MKDIR) $(DIST_TMP)/src
	$(CPDIR) $(SOURCE_DIR)/xtc    $(DIST_TMP)/src
	$(MKDIR) $(DIST_TMP)/glr
	$(CP)    $(GLR_DIR)/README.txt   $(DIST_TMP)/glr
	$(CPDIR) $(GLR_DIR)/languages $(DIST_TMP)/glr
	$(CP)    $(GLR_DIR)/*.sdf     $(DIST_TMP)/glr
	$(CP)    $(GLR_DIR)/buildsdf.sh  $(DIST_TMP)/glr
	$(CPDIR) $(GLR_DIR)/ella      $(DIST_TMP)/glr
	$(CP)    $(GLR_DIR)/configure $(DIST_TMP)/glr
	$(CP)    $(GLR_DIR)/Makefile  $(DIST_TMP)/glr
	$(CP)    Makebase             $(DIST_TMP)
	$(CP)    Makefile             $(DIST_TMP)
	$(CP)    Makerules            $(DIST_TMP)
	$(CP)    xtc.manifest         $(DIST_TMP)
	$(CP)    rats.manifest        $(DIST_TMP)
	$(CP)    package-list         $(DIST_TMP)
	$(CP)    overview.html        $(DIST_TMP)
	$(CP)    history.html         $(DIST_TMP)
	$(CP)    grammar.css          $(DIST_TMP)
	$(CP)    development.html     $(DIST_TMP)
	$(CP)    setup.sh             $(DIST_TMP)
	$(CP)    setup.bat            $(DIST_TMP)
	$(CP)    site.exp             $(DIST_TMP)
	$(FIND) $(DIST_TMP) -name .DS_Store  -exec $(RM) \{\} \;
	$(FIND) $(DIST_TMP) -name .cvsignore -exec $(RM) \{\} \;
	$(FIND) $(DIST_TMP) -name '.#*'      -exec $(RM) \{\} \;
	$(FIND) $(DIST_TMP) -name '*#*'      -exec $(RM) \{\} \;
	$(FIND) $(DIST_TMP) -name '*~'       -exec $(RM) \{\} \;
	$(FIND) $(DIST_TMP) -depth -name CVS -exec $(RMDIR) \{\} \;
	$(RMDIR) $(DIST_TMP)/src/xtc/il
	$(RMDIR) $(DIST_TMP)/src/xtc/playground
	$(RMDIR) $(DIST_TMP)/src/xtc/crt
	$(RMDIR) $(DIST_TMP)/src/xtc/oop
	$(RMDIR) $(DIST_TMP)/src/xtc/lang/jeannie/doc
	$(RMDIR) $(DIST_TMP)/src/xtc/lang/blink/doc
	$(RMDIR) $(DIST_TMP)/src/xtc/lang/babble
	$(RMDIR) $(DIST_TMP)/src/xtc/lang/cpp
	$(ZIP) -r xtc-core xtc
	$(RMDIR) $(DIST_TMP)
	$(MKDIR) $(DIST_TMP)
	$(CPDIR) $(FONDA_DIR)         $(DIST_TMP)/fonda
	$(MKDIR) $(DIST_TMP)/data
	$(CP)    $(DATA_DIR)/README.txt  $(DIST_TMP)/data
	$(CP)    $(DATA_DIR)/*.java   $(DIST_TMP)/data
	$(CP)    $(DATA_DIR)/check-parsetree.sh $(DIST_TMP)/data
	$(CP)    $(DATA_DIR)/sdf.sh   $(DIST_TMP)/data
	$(CP)    $(DATA_DIR)/ella.sh  $(DIST_TMP)/data
	$(FIND) $(DIST_TMP) -name .DS_Store  -exec $(RM) \{\} \;
	$(FIND) $(DIST_TMP) -name .cvsignore -exec $(RM) \{\} \;
	$(FIND) $(DIST_TMP) -name '.#*'      -exec $(RM) \{\} \;
	$(FIND) $(DIST_TMP) -name '*#*'      -exec $(RM) \{\} \;

=== glr/Makefile ===
# Makefile for toplevel elsa distribution

# just do the obvious recursive thing
all:
	$(MAKE) -C smbase
	$(MAKE) -C ast
	$(MAKE) -C elkhound
	$(MAKE) -C elsa
	$(MAKE) -C ella

check:
	$(MAKE) -C smbase check
	$(MAKE) -C ast check
	$(MAKE) -C elkhound check
	$(MAKE) -C elsa check
	$(MAKE) -C ella check

clean:
	$(MAKE) -C smbase clean
	$(MAKE) -C ast clean
	$(MAKE) -C elkhound clean
	$(MAKE) -C elsa clean
	$(MAKE) -C ella clean

distclean:
	$(MAKE) -C smbase distclean
	$(MAKE) -C ast distclean
	$(MAKE) -C elkhound distclean
	$(MAKE) -C elsa distclean
	$(MAKE) -C ella distclean

doc:
	$(MAKE) -C smbase doc
	$(MAKE) -C ast doc
	$(MAKE) -C elkhound doc
	$(MAKE) -C elsa doc
	$(MAKE) -C ella doc

=== src/xtc/Makefile ===
# Makefile 2 
#***************************************************************************
# 
# Java development root directory.
# 
# (C) 1999 Jacob Dreyer - Geotechnical Software Services
# jacob.dreyer@geosoft.no - http://geosoft.no
#
# Modifications Copyright (C) 2001, 2004 Robert Grimm 
# rgrimm@alum.mit.edu
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#***************************************************************************




#***************************************************************************
#
# This section describes the current package.
#
# o PACKAGE     - The complete package name. 
# o PACKAGE_LOC - Same as PACKAGE but with "/"s instead of "."s.
# o SOURCE      - List of the source files. Remember extension.
# o JNI_SOURCE  - Files from SOURCE that are to be built with the JAVAH 
#                 compiler.
# o JAR_EXTRAS  - None-class files and directories that are to be bundled
#                 into the jar archive.
#
#***************************************************************************

PACKAGE     = xtc
PACKAGE_LOC = xtc

SOURCE = \
	Constants.java \
	Platform.java \
	Limits.java


JNI_SOURCE =

JAR_EXTRAS = 


#***************************************************************************
#
# Include common part of makefile
#
#***************************************************************************

ifdef JAVA_DEV_ROOT
include $(JAVA_DEV_ROOT)/Makerules

.PHONY : configure

configure :
	$(JAVAC) $(JAVAC_OPTIONS) Platform.java
	$(JAVA) xtc.Platform > config.h
ifeq ($(CC),cl)
	$(CC) $(CFLAGS) /Felimitgen limits.c
else
	$(CC) $(CFLAGS) -std=c99 -o limitgen limits.c
endif
	./limitgen > Limits.java
	$(RM) config.h limitgen
	$(JAVAC) $(JAVAC_OPTIONS) Limits.java
	$(JAVAC) $(JAVAC_OPTIONS) type/C.java
	$(JAVAC) $(JAVAC_OPTIONS) lang/C.java
	$(JAVAC) $(JAVAC_OPTIONS) lang/CAnalyzer.java
	$(JAVAC) $(JAVAC_OPTIONS) lang/c/CAnalyzer.java

endif

=== src/xtc/lang/Makefile ===
# Makefile 2 
#***************************************************************************
# 
# Java development root directory.
# 
# (C) 1999 Jacob Dreyer - Geotechnical Software Services
# jacob.dreyer@geosoft.no - http://geosoft.no
#
# Modifications Copyright (C) 2001, 2004 Robert Grimm 
# rgrimm@alum.mit.edu
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#***************************************************************************




#***************************************************************************
#
# This section describes the current package.
#
# o PACKAGE     - The complete package name. 
# o PACKAGE_LOC - Same as PACKAGE but with "/"s instead of "."s.
# o SOURCE      - List of the source files. Remember extension.
# o JNI_SOURCE  - Files from SOURCE that are to be built with the JAVAH 
#                 compiler.
# o JAR_EXTRAS  - None-class files and directories that are to be bundled
#                 into the jar archive.
#
#***************************************************************************

PACKAGE     = xtc.lang
PACKAGE_LOC = xtc/lang

SOURCE = \
	JavaAstSimplifier.java \
	JavaTypeConverter.java \
	JavaExternalAnalyzer.java \
	JavaNoSourceAnalyzer.java \
	JavaEntities.java \
	JavaAnalyzer.java \
	JavaUnitTests.java \
	JavaPrinter.java \
	JavaRecognizer.java \
	JavaParser.java \
	JavaFiveParser.java \
	JavaReader.java \
	JavaFiveReader.java \
	Java.java \
	CAnalyzer.java \
	CCounter.java \
	CFeatureExtractor.java \
	CPrinter.java \
	CParserState.java \
	CParser.java \
	CReader.java \
	C.java \
	CFactoryParser.java \
	JavaFactoryParser.java \
	FactoryFactory.java \
	TypedLambdaParser.java \
	TypedLambdaTypes.java \
	TypedLambdaSupport.java \
	TypedLambdaAnalyzer.java \
	TypedLambdaPrinter.java \
	TypedLambda.java \
	ClassfileSourceRemapper.java \
	SourceMapExtractor.java

JNI_SOURCE =

JAR_EXTRAS = 


#***************************************************************************
#
# Include common part of makefile
#
#***************************************************************************

ifdef JAVA_DEV_ROOT
include $(JAVA_DEV_ROOT)/Makerules

parsers :
	$(RATS) -option 'parser(xtc.lang.JavaRecognizer)' \
		-option genericAsVoid Java.rats
	$(RATS) -option 'parser(xtc.lang.JavaParser)' Java.rats
	$(RATS) -option 'parser(xtc.lang.JavaReader)' \
		-option withParseTree Java.rats
	$(RATS) -option 'parser(xtc.lang.JavaFiveParser)' JavaFive.rats
	$(RATS) -option 'parser(xtc.lang.JavaFiveReader)' \
		-option withParseTree JavaFive.rats
	$(RATS) -option 'parser(xtc.lang.CParser)' C.rats
	$(RATS) -option 'parser(xtc.lang.CReader)' -option withParseTree C.rats
	$(RATS) -option 'parser(xtc.lang.TypedLambdaParser)' TypedLambda.rats
	$(RATS) -option 'parser(xtc.lang.JavaFactoryParser)' JavaFactory.rats
	$(RATS) -option 'parser(xtc.lang.CFactoryParser)' CFactory.rats
	$(JAVAC) $(JAVAC_OPTIONS) JavaRecognizer.java
	$(JAVAC) $(JAVAC_OPTIONS) JavaParser.java
	$(JAVAC) $(JAVAC_OPTIONS) JavaReader.java
	$(JAVAC) $(JAVAC_OPTIONS) JavaFiveParser.java
	$(JAVAC) $(JAVAC_OPTIONS) JavaFiveReader.java
	$(JAVAC) $(JAVAC_OPTIONS) CParser.java
	$(JAVAC) $(JAVAC_OPTIONS) CReader.java
	$(JAVAC) $(JAVAC_OPTIONS) TypedLambdaParser.java
	$(JAVAC) $(JAVAC_OPTIONS) JavaFactoryParser.java
	$(JAVAC) $(JAVAC_OPTIONS) CFactoryParser.java

analyzers :
	$(TYPICAL) -node expression -Otype -Ofold-let -Oswitch TypedLambda.tpcl
	$(JAVAC) $(JAVAC_OPTIONS) TypedLambdaTypes.java
	$(JAVAC) $(JAVAC_OPTIONS) TypedLambdaSupport.java
	$(JAVAC) $(JAVAC_OPTIONS) TypedLambdaAnalyzer.java

endif

=== src/xtc/parser/Makefile ===
# Makefile 2 
#***************************************************************************
# 
# Java development root directory.
# 
# (C) 1999 Jacob Dreyer - Geotechnical Software Services
# jacob.dreyer@geosoft.no - http://geosoft.no
#
# Modifications Copyright (C) 2001, 2004, 2005 Robert Grimm 
# rgrimm@alum.mit.edu
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#***************************************************************************




#***************************************************************************
#
# This section describes the current package.
#
# o PACKAGE     - The complete package name. 
# o PACKAGE_LOC - Same as PACKAGE but with "/"s instead of "."s.
# o SOURCE      - List of the source files. Remember extension.
# o JNI_SOURCE  - Files from SOURCE that are to be built with the JAVAH 
#                 compiler.
# o JAR_EXTRAS  - None-class files and directories that are to be bundled
#                 into the jar archive.
#
#***************************************************************************

PACKAGE     = xtc.parser
PACKAGE_LOC = xtc/parser

SOURCE = \
	Element.java \
	InternalElement.java \
	Action.java \
	NodeMarker.java \
	Terminal.java \
	CharTerminal.java \
	AnyChar.java \
	CharLiteral.java \
	CharRange.java \
	CharClass.java \
	CharCase.java \
	CharSwitch.java \
	StringLiteral.java \
	StringMatch.java \
	NonTerminal.java \
	UnaryOperator.java \
	Predicate.java \
	VoidedElement.java \
	Binding.java \
	FollowedBy.java \
	NotFollowedBy.java \
	SemanticPredicate.java \
	ParserAction.java \
	Name.java \
	SequenceName.java \
	Sequence.java \
	Quantification.java \
	Option.java \
	Repetition.java \
	OrderedChoice.java \
	Production.java \
	FullProduction.java \
	PartialProduction.java \
	AlternativeAddition.java \
	AlternativeRemoval.java \
	ProductionOverride.java \
	ModuleName.java \
	ModuleList.java \
	ModuleMap.java \
	ModuleDependency.java \
	ModuleModification.java \
	ModuleInstantiation.java \
	ModuleImport.java \
	Module.java \
	Grammar.java \
	ParseTreeNode.java \
	Literal.java \
	NullLiteral.java \
	ValueElement.java \
	NullValue.java \
	StringValue.java \
	TokenValue.java \
	BindingValue.java \
	ListValue.java \
	EmptyListValue.java \
	ProperListValue.java \
	ActionBaseValue.java \
	GenericValue.java \
	GenericNodeValue.java \
	GenericActionValue.java \
	GenericRecursionValue.java \
	Properties.java \
	Analyzer.java \
	GrammarVisitor.java \
	Renamer.java \
	Copier.java \
	LeftRecurser.java \
	DirectLeftRecurser.java \
	VariantSorter.java \
	Resolver.java \
	GenericVoider.java \
	Simplifier.java \
	TextTester.java \
	Tokenizer.java \
	Annotator.java \
	TransientMarker.java \
	CostEstimator.java \
	Inliner.java \
	ElementVoider.java \
	Transformer.java \
	ListMaker.java \
	Generifier.java \
	ValueChecker.java \
	ReachabilityChecker.java \
	MetaData.java \
	MetaDataCreator.java \
	MetaDataSetter.java \
	ReferenceCounter.java \
	ChoiceExpander.java \
	TerminalOptimizer.java \
	PrefixFolder.java \
	ProductionVoider.java \
	EquivalenceTester.java \
	DuplicateProductionFolder.java \
	RootFinder.java \
	DeadProductionEliminator.java \
	TreeTyper.java \
	TreeExtractor.java \
	PrettyPrinter.java \
	HtmlPrinter.java \
	CodeGenerator.java \
	Result.java \
	Column.java \
	ParserBase.java \
	SemanticValue.java \
	ParseError.java \
	ParseException.java \
	Rats.java \
	PParserState.java \
	PParser.java

JNI_SOURCE =

JAR_EXTRAS = 


#***************************************************************************
#
# Include common part of makefile
#
#***************************************************************************

ifdef JAVA_DEV_ROOT
include $(JAVA_DEV_ROOT)/Makerules

parsers :
	$(RATS) PGrammar.rats
	$(JAVAC) $(JAVAC_OPTIONS) PParser.java

endif

=== src/xtc/tree/Makefile ===
# Makefile 2 
#***************************************************************************
# 
# Java development root directory.
# 
# (C) 1999 Jacob Dreyer - Geotechnical Software Services
# jacob.dreyer@geosoft.no - http://geosoft.no
#
# Modifications (C) 2001, 2004 Robert Grimm 
# rgrimm@alum.mit.edu
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#***************************************************************************




#***************************************************************************
#
# This section describes the current package.
#
# o PACKAGE     - The complete package name. 
# o PACKAGE_LOC - Same as PACKAGE but with "/"s instead of "."s.
# o SOURCE      - List of the source files. Remember extension.
# o JNI_SOURCE  - Files from SOURCE that are to be built with the JAVAH 
#                 compiler.
# o JAR_EXTRAS  - None-class files and directories that are to be bundled
#                 into the jar archive.
#
#***************************************************************************

PACKAGE     = xtc.tree
PACKAGE_LOC = xtc/tree

SOURCE = \
	Location.java \
	Locatable.java \
	TraversalException.java \
	VisitorException.java \
	VisitingException.java \
	Node.java \
	Token.java \
	Annotation.java \
	Comment.java \
	LineMarker.java \
	Pragma.java \
	SourceIdentity.java \
	Formatting.java \
	GNode.java \
	Attribute.java \
	Visitor.java \
	Utility.java \
	Printer.java \
	ParseTreePrinter.java \
	ParseTreeStripper.java \
	Transducer.java \
	Relocator.java 

JNI_SOURCE =

JAR_EXTRAS = 


#***************************************************************************
#
# Include common part of makefile
#
#***************************************************************************

ifdef JAVA_DEV_ROOT
include $(JAVA_DEV_ROOT)/Makerules
endif

=== src/xtc/type/Makefile ===
# Makefile 2 
#***************************************************************************
# 
# Java development root directory.
# 
# (C) 1999 Jacob Dreyer - Geotechnical Software Services
# jacob.dreyer@geosoft.no - http://geosoft.no
#
# Modifications (C) 2001, 2004 Robert Grimm 
# rgrimm@alum.mit.edu
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#***************************************************************************




#***************************************************************************
#
# This section describes the current package.
#
# o PACKAGE     - The complete package name. 
# o PACKAGE_LOC - Same as PACKAGE but with "/"s instead of "."s.
# o SOURCE      - List of the source files. Remember extension.
# o JNI_SOURCE  - Files from SOURCE that are to be built with the JAVAH 
#                 compiler.
# o JAR_EXTRAS  - None-class files and directories that are to be bundled
#                 into the jar archive.
#
#***************************************************************************

PACKAGE     = xtc.type
PACKAGE_LOC = xtc/type

SOURCE = \
	Language.java \
	Reference.java \
	NullReference.java \
	StringReference.java \
	VariableReference.java \
	StaticReference.java \
	DynamicReference.java \
	RelativeReference.java\
	CastReference.java \
	IndirectReference.java \
	IndexReference.java \
	FieldReference.java \
	Constant.java \
	Tagged.java \
	Type.java \
	Parameter.java \
	NamedParameter.java \
	InternalParameter.java \
	Wildcard.java \
	WrappedT.java \
	AnnotatedT.java \
	AliasT.java \
	EnumT.java \
	EnumeratorT.java \
	InstantiatedT.java \
	VariableT.java \
	ParameterizedT.java \
	VoidT.java \
	UnitT.java \
	BooleanT.java \
	NumberT.java \
	IntegerT.java \
	FloatT.java \
	LabelT.java \
	DerivedT.java \
	PointerT.java \
	ArrayT.java \
	StructOrUnionT.java \
	StructT.java \
	UnionT.java \
	FunctionOrMethodT.java \
	FunctionT.java \
	MethodT.java \
	ClassOrInterfaceT.java \
	ClassT.java \
	InterfaceT.java \
	PackageT.java \
	InternalT.java \
	TupleT.java \
	VariantT.java \
	ErrorT.java \
	AST.java \
	JavaAST.java \
	C.java \
	CFactory.java \
	TypePrinter.java \
	SourcePrinter.java

JNI_SOURCE =

JAR_EXTRAS = 


#***************************************************************************
#
# Include common part of makefile
#
#***************************************************************************

ifdef JAVA_DEV_ROOT
include $(JAVA_DEV_ROOT)/Makerules
endif

=== src/xtc/typical/Makefile ===
# Makefile 2 
#***************************************************************************
# 
# Java development root directory.
# 
# (C) 1999 Jacob Dreyer - Geotechnical Software Services
# jacob.dreyer@geosoft.no - http://geosoft.no
#
# Modifications Copyright (C) 2001, 2004 Robert Grimm 
# rgrimm@alum.mit.edu
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#***************************************************************************


#***************************************************************************
#
# This section describes the current package.
#
# o PACKAGE     - The complete package name. 
# o PACKAGE_LOC - Same as PACKAGE but with "/"s instead of "."s.
# o SOURCE      - List of the source files. Remember extension.
# o JNI_SOURCE  - Files from SOURCE that are to be built with the JAVAH 
#                 compiler.
# o JAR_EXTRAS  - None-class files and directories that are to be bundled
#                 into the jar archive.
#
#***************************************************************************

PACKAGE     = xtc.typical
PACKAGE_LOC = xtc/typical

SOURCE = \
	Name.java \
	ScopeKind.java \
	Scope.java \
	TypicalParser.java \
	Tuple.java \
	Primitives.java \
	Record.java \
	Reduction.java \
	Analyzer.java \
	TypicalTypes.java \
	TypicalSupport.java \
	TypicalAnalyzer.java \
	TypeMapper.java \
	TreeFactory.java \
	TypeCollector.java \
	FreeVariableCollector.java \
	FlagSetter.java \
	LetFolder.java \
	Transformer.java \
	Typical.java 

JNI_SOURCE = 

JAR_EXTRAS = 



#***************************************************************************
#
# Include common part of makefile
#
#***************************************************************************

ifdef JAVA_DEV_ROOT
include $(JAVA_DEV_ROOT)/Makerules

JAVAC_OPTIONS  = -Xlint:unchecked -d $(CLASS_DIR) -sourcepath $(SOURCE_DIR)

parsers :
	$(RATS) Typical.rats
	$(JAVAC) $(JAVAC_OPTIONS) TypicalParser.java

analyzers :
	$(TYPICAL) -Otype -Ofold-let -Oswitch Typical.tpcl
	$(JAVAC) $(JAVAC_OPTIONS) TypicalTypes.java
	$(JAVAC) $(JAVAC_OPTIONS) TypicalSupport.java
	$(JAVAC) $(JAVAC_OPTIONS) TypicalAnalyzer.java
	$(TYPICAL) -checkOnly Typical.tpcl # Sanity check

factories :
	$(FACTORY) TreeFactory.ffj
	$(JAVAC) $(JAVAC_OPTIONS) TreeFactory.java

.PHONY	: check check-typical 


endif

=== src/xtc/util/Makefile ===
# Makefile 2 
#***************************************************************************
# 
# Java development root directory.
# 
# (C) 1999 Jacob Dreyer - Geotechnical Software Services
# jacob.dreyer@geosoft.no - http://geosoft.no
#
# Modifications Copyright (C) 2001, 2004 Robert Grimm 
# rgrimm@alum.mit.edu
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#***************************************************************************




#***************************************************************************
#
# This section describes the current package.
#
# o PACKAGE     - The complete package name. 
# o PACKAGE_LOC - Same as PACKAGE but with "/"s instead of "."s.
# o SOURCE      - List of the source files. Remember extension.
# o JNI_SOURCE  - Files from SOURCE that are to be built with the JAVAH 
#                 compiler.
# o JAR_EXTRAS  - None-class files and directories that are to be bundled
#                 into the jar archive.
#
#***************************************************************************

PACKAGE     = xtc.util
PACKAGE_LOC = xtc/util

SOURCE = \
	Utilities.java \
	UtilitiesTest.java \
	EmptyIterator.java \
	SingletonIterator.java \
	Nonce.java \
	SymbolTable.java \
	Option.java \
	Runtime.java \
	Tool.java \
	Pair.java \
	Action.java \
	State.java \
	NestedReader.java \
	Statistics.java \
	Throughput.java \
	Function.java


JNI_SOURCE =

JAR_EXTRAS = 


#***************************************************************************
#
# Include common part of makefile
#
#***************************************************************************

ifdef JAVA_DEV_ROOT
include $(JAVA_DEV_ROOT)/Makerules
endif

=== src/xtc/xform/Makefile ===
# Makefile 2 
#***************************************************************************
# 
# Java development root directory.
# 
# (C) 1999 Jacob Dreyer - Geotechnical Software Services
# jacob.dreyer@geosoft.no - http://geosoft.no
#
# Modifications Copyright (C) 2001, 2004 Robert Grimm 
# rgrimm@alum.mit.edu
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#***************************************************************************




#***************************************************************************
#
# This section describes the current package.
#
# o PACKAGE     - The complete package name. 
# o PACKAGE_LOC - Same as PACKAGE but with "/"s instead of "."s.
# o SOURCE      - List of the source files. Remember extension.
# o JNI_SOURCE  - Files from SOURCE that are to be built with the JAVAH 
#                 compiler.
# o JAR_EXTRAS  - None-class files and directories that are to be bundled
#                 into the jar archive.
#
#***************************************************************************

PACKAGE     = xtc.xform
PACKAGE_LOC = xtc/xform

SOURCE = \
	XFormParser.java \
	Driver.java \
	Engine.java \
	Query.java \
	Function.java \
	Item.java \
	IsNullFunction.java \
	TestFunction.java \
	CountFunction.java \
	LinesFunction.java \
	EmptyFunction.java \
	LastFunction.java  \
	SimilarFunction.java \
	SubsequenceFunction.java \
	ConcatFunction.java \
	UpperCaseFunction.java \
	LowerCaseFunction.java \
	SubStringFunction.java  

JNI_SOURCE =

JAR_EXTRAS = 


#***************************************************************************
#
# Include common part of makefile
#
#***************************************************************************

ifdef JAVA_DEV_ROOT
include $(JAVA_DEV_ROOT)/Makerules

parsers :
	$(RATS) XForm.rats
	$(JAVAC) $(JAVAC_OPTIONS) XFormParser.java

endif

=== src/xtc/lang/antlr/Makefile ===
# Makefile 2 
#***************************************************************************
# 
# Java development root directory.
# 
# (C) 1999 Jacob Dreyer - Geotechnical Software Services
# jacob.dreyer@geosoft.no - http://geosoft.no
#
# Modifications Copyright (C) 2001, 2004 Robert Grimm 
# rgrimm@alum.mit.edu
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#***************************************************************************




#***************************************************************************
#
# This section describes the current package.
#
# o PACKAGE     - The complete package name. 
# o PACKAGE_LOC - Same as PACKAGE but with "/"s instead of "."s.
# o SOURCE      - List of the source files. Remember extension.
# o JNI_SOURCE  - Files from SOURCE that are to be built with the JAVAH 
#                 compiler.
# o JAR_EXTRAS  - None-class files and directories that are to be bundled
#                 into the jar archive.
#
#***************************************************************************

PACKAGE     = xtc.lang.antlr
PACKAGE_LOC = xtc/lang/antlr

SOURCE = \
	JavaTokenTypes.java \
        JavaLexer.java \
        JavaRecognizer.java \
	JavaTreeTokenTypes.java \
	JavaTreeLexer.java \
	JavaTreeRecognizer.java


JNI_SOURCE =

JAR_EXTRAS = 


#***************************************************************************
#
# Include common part of makefile
#
#***************************************************************************

ifdef JAVA_DEV_ROOT
include $(JAVA_DEV_ROOT)/Makerules
endif

=== src/xtc/lang/blink/Makefile ===
# Makefile 2 
#***************************************************************************
# 
# Java development root directory.
# 
# (C) 1999 Jacob Dreyer - Geotechnical Software Services
# jacob.dreyer@geosoft.no - http://geosoft.no
#
# Modifications Copyright (C) 2001, 2004 Robert Grimm 
# rgrimm@alum.mit.edu
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#***************************************************************************


#***************************************************************************
#
# This section describes the current package.
#
# o PACKAGE     - The complete package name. 
# o PACKAGE_LOC - Same as PACKAGE but with "/"s instead of "."s.
# o SOURCE      - List of the source files. Remember extension.
# o JNI_SOURCE  - Files from SOURCE that are to be built with the JAVAH 
#                 compiler.
# o JAR_EXTRAS  - None-class files and directories that are to be bundled
#                 into the jar archive.
#
#***************************************************************************

PACKAGE     = xtc.lang.blink
PACKAGE_LOC = xtc/lang/blink

GRAMMARS =  Command
FACTORIES =

SOURCE = \
	$(patsubst %,%Parser.java,$(GRAMMARS)) \
	$(patsubst %,%.java,$(FACTORIES)) \
	$(wildcard *.java)

JNI_SOURCE = 

JAR_EXTRAS = 



#***************************************************************************
#
# Include common part of makefile
#
#***************************************************************************


ifdef JAVA_DEV_ROOT
include $(JAVA_DEV_ROOT)/Makerules

JAVAC_OPTIONS  = -Xlint:unchecked -d $(CLASS_DIR) -sourcepath $(SOURCE_DIR)

parsers :
	$(RATS) Command.rats
	$(JAVAC) $(JAVAC_OPTIONS) CommandParser.java

documentation : $(patsubst %,doc/xtc.lang.blink.%.html,$(GRAMMARS))

endif

=== debian/changelog ===
libxtc-rats-java (1.15.0-2) unstable; urgency=medium

  * Source-only rebuild.
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Mon, 25 Oct 2021 11:54:06 +0200

libxtc-rats-java (1.15.0-1) unstable; urgency=medium

  * Initial release. (Closes: #986922)

 -- Markus Koschany <apo@debian.org>  Thu, 15 Apr 2021 12:51:00 +0200

=== debian/control ===
Source: libxtc-rats-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 junit4,
 libantlr-java,
 maven-repo-helper
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/java-team/libxtc-rats-java.git
Vcs-Browser: https://salsa.debian.org/java-team/libxtc-rats-java
Homepage: https://cs.nyu.edu/rgrimm/xtc/

Package: libxtc-rats-java
Architecture: all
Depends:
 libantlr-java,
 ${misc:Depends}
Description: parser generator written in Java
 The xtc (eXTensible Compiler) project is exploring novel programming languages
 and tools to improve the expressiveness, safety, and efficiency of complex
 systems.
 .
 This package includes Rats!, a parser generator supporting modular syntax and
 declarative syntax tree specifications.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export JAVA_DEV_ROOT := $(CURDIR)
export CLASSPATH := /usr/share/java/junit4.jar:/usr/share/java/antlr.jar

%:
	dh $@ --with javahelper --with maven_repo_helper

override_dh_auto_build:
	dh_auto_build -- jars

override_dh_auto_clean:

override_dh_auto_test:
